Page MenuHomePhabricator

Add regular expression matching to {{#get_web_data}} and {{#get_file_data}}
Closed, ResolvedPublic

Description

Add a format that allows extracting data with regular expressions (format = text) to {{#get_web_data}} and {{#get_file_data}} parser function.

Use new regex parametre to set the regular expression. If this parametre is not set, dump the whole text into the external variable text.

Use data parametre to map captures or text variable to local variables.

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptAug 10 2019, 2:11 PM
alex-mashin renamed this task from Add regular expression format to {{#get_web_data}} to Add regular expression matching to {{#get_web_data}} and {{#get_file_data}}.Aug 17 2019, 3:15 AM
alex-mashin updated the task description. (Show Details)
alex-mashin closed this task as Resolved.Sep 11 2019, 4:33 PM